Bug 193477 - Move /lib/modules/<version>/{build,source} to -devel package
Move /lib/modules/<version>/{build,source} to -devel package
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
: Reopened, Triaged
: 444297 (view as bug list)
Depends On:
Blocks: FC7Target F13Target
  Show dependency treegraph
 
Reported: 2006-05-29 09:40 EDT by Robert Scheck
Modified: 2012-02-20 19:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-20 19:59:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Untested patch against CVS which should work (4.57 KB, patch)
2006-05-29 09:40 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2006-05-29 09:40:23 EDT
Description of problem:
You've got dangling symbolic links in /lib/modules/<version> when no -devel 
package is installed, to be exact /lib/modules/<version>/{build,source} are 
dangling.

I'm no kernel maintainer, but I can't see any reason to keep both symlinks in 
the main package rather to move them to the -devel package. Both symlinks are 
pointing at least to /usr/src/kernels/<version> which is only available, when 
the -devel package is installed - so why not also move the symlinks into -devel?

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2227_FC6

Actual results:
/lib/modules/<version>/{build,source} are dangling symbolic links.

Expected results:
Move /lib/modules/<version>/{build,source} to -devel package.

Additional info:
Untested patch is attached...
Comment 1 Robert Scheck 2006-05-29 09:40:23 EDT
Created attachment 130191 [details]
Untested patch against CVS which should work
Comment 2 Jiri TRAVNICEK, alias JITR {temporarily not reading bugmail} 2006-06-03 21:26:54 EDT
Robert,
the symlinks `build' and `source' were only recently moved over from the
`kernel-*-devel' packages to the `kernel-*' packages as per bug #149210. I, too,
personally don't consider this to be the best thing.

I filed rather complex bug #193990 on this overall issue.
Comment 3 Robert Scheck 2006-06-04 12:07:07 EDT
Jiri, the reason for opening up this bug report was, that current versions of 
rpm *are* detecting dangling symlinks on runtime, that means while installing 
the package for example (yeah, Fedora is shipping nearly an antiquaric rpm 
version). Nevertheless current behaviour it's worse and very very insane rpm 
packaging - delivering dangling symlinks within a rpm package.

Bad thing to tell guys of the company which invented rpm some years ago about 
the sane rpm packaging... :-(
Comment 4 Robert Scheck 2006-10-14 06:07:26 EDT
Ping?
Comment 5 Dave Jones 2008-03-24 15:00:57 EDT
my vague recollection on why it was done this way, was that the kernel package
owns the /lib/modules/{version}/ directory, and having kernel-devel put files
into that subdir would mean that if someone removed the kernel rpm, the subdir
wouldn't get removed, due to another package owning files in the hierarchy.

Whether rpm has changed any since this was decided (that was ~5 years back at
least) I have no idea.
Comment 6 Dave Jones 2008-04-26 15:31:51 EDT
*** Bug 444297 has been marked as a duplicate of this bug. ***
Comment 7 Bug Zapper 2008-05-13 22:10:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Robert Scheck 2008-07-27 10:36:11 EDT
Ping? This is still a rawhide thing...
Comment 9 Matěj Cepl 2008-07-30 11:57:20 EDT
This is duplicate of bug 149210 -- either we should go this or other direction,
but no reason to keep both bugs around. If you want to complain against the
current direction, I think you have very short time -- warren on the other bug
is asking for comments.

*** This bug has been marked as a duplicate of 149210 ***
Comment 10 Robert Scheck 2008-07-30 13:43:39 EDT
Are you kidding me? Is asking for comments? This was in 2005 - three years ago!
Comment 11 Bug Zapper 2008-11-25 20:49:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-06-09 05:09:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Christopher Beland 2010-02-25 14:28:47 EST
The symlinks are still dangling with kernel-2.6.32.8-58.fc12.i686.  Is this definitely going to stay this way, or is this still considered a problem?  If so, what is the preferred solution?
Comment 14 Bug Zapper 2010-11-04 08:15:53 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Robert Scheck 2010-11-04 16:22:59 EDT
This is still a rawhide thing...

Note You need to log in before you can comment on or make changes to this bug.